The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  ВХОД  слежка  RSS
"Не компилятся Apache 1.3.28 + mod_gzip-1.3.26.1a"
Вариант для распечатки Архивированная нить - только для чтения! 
Пред. тема | След. тема 
Форумы WEB технологии (Public)
Изначальное сообщение [Проследить за развитием треда]

"Не компилятся Apache 1.3.28 + mod_gzip-1.3.26.1a"
Сообщение от Infection emailИскать по авторуВ закладки on 21-Июл-03, 19:58  (MSK)
Попытался скомпилить mod_gzip статически и ни хрена не вышло!
Значит распаковываю апач и модули в одну директорию, компилю PHP, mod_perl, далее:
--------------------------------------------
cd apache_1.3.28/src/modules
mkdir gzip
cd ../../../mod_gzip-1.3.26.1a
cp mod_gzip* ../apache_1.3.28/src/modules/gzip/
cp Makefile.tmpl ../apache_1.3.28/src/modules/gzip/
cd apache_1.3.28
./configure --prefix=/usr/local/apache \
     --disable-module=asis \
     --disable-module=userdir \
     --enable-module=so \
     --disable-module=actions \
     --disable-module=include \
     --disable-module=negotiation \
     --activate-module=src/modules/php4/libphp4.a \
     --activate-module=src/modules/perl/libperl.a \
     --activate-module=src/modules/gzip/mod_gzip.a
make
--------------------------------------------
и вылетает ошибка:
===> src/modules/gzip
Makefile:141: предупреждение: переопределение команд для цели `libgzip.a'
Makefile:94: предупреждение: старые команды для цели `libgzip.a' игнорируются
Makefile:165: предупреждение: переопределение команд для цели `.c.o'
Makefile:101: предупреждение: старые команды для цели `.c.o' игнорируются
Makefile:171: предупреждение: переопределение команд для цели `clean'
Makefile:108: предупреждение: старые команды для цели `clean' игнорируются
Makefile:174: предупреждение: переопределение команд для цели `distclean'
Makefile:111: предупреждение: старые команды для цели `distclean' игнорируются
Makefile:180: предупреждение: переопределение команд для цели `depend'
Makefile:115: предупреждение: старые команды для цели `depend' игнорируются
gcc -c -I../.. -I/usr/local/lib/perl5/5.8.0/i686-linux/CORE -I../../os/unix -I../../include   -DLINU
X=22 -DMOD_PERL -DUSE_PERL_SSI -fno-strict-aliasing -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE
_EXPAT -I../../lib/expat-lite `../../apaci` mod_gzip.c
gcc -c -I../.. -I/usr/local/lib/perl5/5.8.0/i686-linux/CORE -I../../os/unix -I../../include   -DLINU
X=22 -DMOD_PERL -DUSE_PERL_SSI -fno-strict-aliasing -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE
_EXPAT -I../../lib/expat-lite `../../apaci` mod_gzip_compress.c
gcc -c -I../.. -I/usr/local/lib/perl5/5.8.0/i686-linux/CORE -I../../os/unix -I../../include   -DLINU
X=22 -DMOD_PERL -DUSE_PERL_SSI -fno-strict-aliasing -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE
_EXPAT -I../../lib/expat-lite `../../apaci` mod_gzip_debug.c
make[4]: *** Нет правила для сборки цели `mod_gzip.a', требуемой для `libgzip.a'.  Останов.
make[3]: *** [all] Ошибка 1
make[2]: *** [subdirs] Ошибка 1
make[2]: Leaving directory `/usr/src/apache_1.3.28/src'
make[1]: *** [build-std] Ошибка 2
make[1]: Leaving directory `/usr/src/apache_1.3.28'
make: *** [build] Ошибка 2
--------------------------------------------
В чем трабла? Пробовал компилить на 1.3.27, но не получалось!
Где копать ёпрст! Не хочу динамический модуль, хачу статический!
Дело принципа!!! Вроде все делаю по документации, а такие вот грабли!
  Рекомендовать в FAQ | Cообщить модератору | Наверх

 Оглавление

Индекс форумов | Темы | Пред. тема | След. тема
Сообщения по теме

1. "Не компилятся Apache 1.3.28 + mod_gzip-1.3.26.1a"
Сообщение от uldus Искать по авторуВ закладки on 21-Июл-03, 20:45  (MSK)
>Попытался скомпилить mod_gzip статически и ни хрена не вышло!


Используй mod_deflate, более качественный продукт. И промежуточные результаты, перет отдачей клиенту, в отличии от mod_gzip, во временные файлы не пишет.

  Рекомендовать в FAQ | Cообщить модератору | Наверх

2. "Не компилятся Apache 1.3.28 + mod_gzip-1.3.26.1a"
Сообщение от Infection emailИскать по авторуВ закладки on 21-Июл-03, 21:12  (MSK)
>>Попытался скомпилить mod_gzip статически и ни хрена не вышло!
>
>
>Используй mod_deflate, более качественный продукт. И промежуточные результаты, перет отдачей клиенту, в
>отличии от mod_gzip, во временные файлы не пишет.


Спасибо, попробу на досуге.. посмотрю как он работает и какова его производительность.

Оказалось, что чего-то криво генерируется Makefile из Makefile.tmpl.
попробовал исправить Makefile и все как по маслу пошло, но не помню чего меня и как конфигурил

  Рекомендовать в FAQ | Cообщить модератору | Наверх

3. "Не компилятся Apache 1.3.28 + mod_gzip-1.3.26.1a"
Сообщение от rlynx emailИскать по авторуВ закладки(??) on 18-Окт-04, 18:06  (MSK)
А у меня вообще пишет:

===> src/modules/gzip
gcc -c  -I../../os/unix -I../../include   -funsigned-char -DUSE_EXPAT -I../../li
b/expat-lite -DNO_DL_NEEDED `../../apaci` mod_gzip.c
gcc -c  -I../../os/unix -I../../include   -funsigned-char -DUSE_EXPAT -I../../li
b/expat-lite -DNO_DL_NEEDED `../../apaci` mod_gzip_compress.c
gcc -c  -I../../os/unix -I../../include   -funsigned-char -DUSE_EXPAT -I../../li
b/expat-lite -DNO_DL_NEEDED `../../apaci` mod_gzip_debug.c
rm -f libgzip.a
ar cr libgzip.a mod_gzip.o  mod_gzip_compress.o mod_gzip_debug.o
ranlib libgzip.a
make: don't know how to make libgzip.. Stop
*** Error code 1

Stop in /usr/Install/apache_1.3.31/src/modules.
*** Error code 1

Stop in /usr/Install/apache_1.3.31/src.
*** Error code 1

Stop in /usr/Install/apache_1.3.31.
*** Error code 1

Stop in /usr/Install/apache_1.3.31.

Куда копать? :-) Сделал вообщем то так же, как было описано сверху

  Рекомендовать в FAQ | Cообщить модератору | Наверх


Удалить

Индекс форумов | Темы | Пред. тема | След. тема
Пожалуйста, прежде чем написать сообщение, ознакомьтесь с данными рекомендациями.




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру